;By 邪心萝卜
;2015.2.22
;QQ：1622540708
;在目标进程中弹出信息框
;-----------------------------------------------------------------------
call Start ;基址获得实例
Start:
pop eax
sub eax,5;跳过call指令5字节
;--------------------------------------
jmp show;越过数据区
data:
Caption db "Hello ,world!",0

show:;正式代码.
push 0;MB_OK
push 0;标题
lea ebx,[eax+Caption];定位到数据
push ebx;内容
push 0;handle
mov eax,API{user32.dll,MessageBoxA}  
call eax ;把函数地址放在寄存器里，直接调用不知道为什么会出错..